<template>
  <div>
    <!-- 当前页面业务部分 -->
    <a-card :bordered="false" :title="title" v-show="visable">
            <a-descriptions title="工具参数详情">
              <a-descriptions-item label="刀头规格">{{ this.para == null || this.para.headSpecifications == null ? '' : this.para.headSpecifications  }}</a-descriptions-item>
              <a-descriptions-item label="配套刀片号">{{  this.para == null || this.para.matchingNumber == null ? '' : this.para.matchingNumber }}</a-descriptions-item>
              <a-descriptions-item label="主偏角">{{ this.para == null || this.para.leadAngle == null ? '' : this.para.leadAngle }}</a-descriptions-item>
              <a-descriptions-item label="刀具截面尺寸">{{ this.para == null || this.para.crossSectionalSize == null ? '' : this.para.crossSectionalSize }}</a-descriptions-item>
              <a-descriptions-item label="切削方向">{{ this.para == null || this.para.cuttingDirection == null ? '' : this.para.cuttingDirection }}</a-descriptions-item>
              <a-descriptions-item label="刀具总长">{{ this.para == null || this.para.totalLength == null ? '' : this.para.totalLength }}</a-descriptions-item>
              <a-descriptions-item label="刀具材料">{{ this.para == null || this.para.toolMaterial == null ? '' : this.para.toolMaterial }}</a-descriptions-item>
              <a-descriptions-item label="零件材料">{{ this.para == null || this.para.partMaterial == null ? '' : this.para.partMaterial }}</a-descriptions-item>
              <a-descriptions-item label="是否涂层">{{ this.para == null || this.para.paintcoatFlag == null ? '' : this.para.paintcoatFlag }}</a-descriptions-item>
              <a-descriptions-item label="刀具型式">{{ this.para == null || this.para.toolPattern == null ? '' : this.para.toolPattern }}</a-descriptions-item>
              <a-descriptions-item label="冷却方式">{{ this.para == null || this.para.coolingMethod == null ? '' : this.para.coolingMethod }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件">{{ this.para == null || this.para.technicalConditions == null ? '' : this.para.technicalConditions }}</a-descriptions-item>
              <a-descriptions-item label="附加技术条件说明">{{ this.para == null || this.para.conditionsInfo == null ? '' : this.para.conditionsInfo }}</a-descriptions-item>
              <a-descriptions-item label="品牌">{{ this.para == null || this.para.brand == null ? '' : this.para.brand }}</a-descriptions-item>
              <a-descriptions-item label="制式">{{ this.para == null || this.para.types == null ? '' : this.para.types }}</a-descriptions-item>
              <a-descriptions-item label="刀片尺寸">{{ this.para == null || this.para.knifeSize == null ? '' : this.para.knifeSize }}</a-descriptions-item>
              <a-descriptions-item label="刀杆类别">{{ this.para == null || this.para.holderCategory == null ? '' : this.para.holderCategory }}</a-descriptions-item>
              <a-descriptions-item label="刀具直径">{{ this.para == null || this.para.toolDiameter == null ? '' : this.para.toolDiameter  }}</a-descriptions-item>
              <a-descriptions-item label="接口紧固形式">{{ this.para == null || this.para.fasteningForm == null ? '' : this.para.fasteningForm }}</a-descriptions-item>
              <a-descriptions-item label="镗杆直径">{{ this.para == null || this.para.boringBarDiameter == null ? '' : this.para.boringBarDiameter }}</a-descriptions-item>
              <a-descriptions-item label="刀杆长度">{{ this.para == null || this.para.bladeLength == null ? '' : this.para.bladeLength }}</a-descriptions-item>
              <a-descriptions-item label="刀片形状">{{ this.para == null || this.para.bladeShape == null ? '' : this.para.bladeShape }}</a-descriptions-item>
              <a-descriptions-item label="刀片后角">{{ this.para == null || this.para.bladePosterior == null ? '' : this.para.bladePosterior }}</a-descriptions-item>
              <a-descriptions-item label="刀杆方向">{{ this.para == null || this.para.barDirection == null ? '' : this.para.barDirection }}</a-descriptions-item>
              <a-descriptions-item label="刀杆高度">{{ this.para == null || this.para.bladeHeight == null ? '' : this.para.bladeHeight }}</a-descriptions-item>
              <a-descriptions-item label="刀杆宽度">{{ this.para == null || this.para.bladeWide == null ? '' : this.para.bladeWide  }}</a-descriptions-item>
              <a-descriptions-item label="刀杆尺寸">{{ this.para == null || this.para.bladeSize == null ? '' : this.para.bladeSize }}</a-descriptions-item>
              <a-descriptions-item label="刀夹型号">{{ this.para == null || this.para.knifeClipModel == null ? '' : this.para.knifeClipModel }}</a-descriptions-item>
              <a-descriptions-item label="刀片装夹方式">{{ this.para == null || this.para.clampingMethod == null ? '' : this.para.clampingMethod }}</a-descriptions-item>
              <a-descriptions-item label="刀片槽宽">{{ this.para == null || this.para.slotWidth == null ? '' : this.para.slotWidth }}</a-descriptions-item>
              <a-descriptions-item label="最小切入直径">{{ this.para == null || this.para.smallDiameter == null ? '' : this.para.smallDiameter }}</a-descriptions-item>
              <a-descriptions-item label="最大切入直径">{{ this.para == null || this.para.maxDiameter == null ? '' : this.para.maxDiameter }}</a-descriptions-item>
              <a-descriptions-item label="最大切槽深度">{{ this.para == null || this.para.maxDepth == null ? '' : this.para.maxDepth }}</a-descriptions-item>
              <a-descriptions-item label="刀杆形式">{{ this.para == null || this.para.knifeBarForm == null ? '' : this.para.knifeBarForm }}</a-descriptions-item>
              <a-descriptions-item label="刀板厚度">{{ this.para == null || this.para.bladeThickness == null ? '' : this.para.bladeThickness }}</a-descriptions-item>
              <a-descriptions-item label="最小加工直径">{{ this.para == null || this.para.minDiameter == null ? '' : this.para.minDiameter }}</a-descriptions-item>
            
            </a-descriptions>
           
    </a-card>
  </div>
</template>

<script>

import JDictSelectTag from '@/components/dict/JDictSelectTag'
import JEllipsis from '@/components/jeecg/JEllipsis' //引入过长裁剪
import Tooltip from 'ant-design-vue/es/tooltip'
import JDate from '@/components/jeecg/JDate.vue'

export default {
  name: 'ParaHoleToolsList',
  components: {
    JDictSelectTag,
    JEllipsis,
    JDate,
    Tooltip,
  },
  data() {
    return {
      description: '工具信息页面',
      title: '',
      visable:false,
      para:{},
    }
  },
  created() {
  },
  methods: {

    getPara(record){
      this.visable = true
      this.para = record
    },
  },

}
</script>
<style lang="less" scoped>
</style>